Manifest-Version: 1.0
Bnd-LastModified: 1613495483028
Bundle-ClassPath: .,opensaml-core-3.3.0.jar,opensaml-messaging-api-3.3
 .0.jar,opensaml-messaging-impl-3.3.0.jar,opensaml-profile-api-3.3.0.j
 ar,opensaml-profile-impl-3.3.0.jar,opensaml-saml-api-3.3.0.jar,opensa
 ml-saml-impl-3.3.0.jar,opensaml-security-api-3.3.0.jar,opensaml-secur
 ity-impl-3.3.0.jar,opensaml-soap-api-3.3.0.jar,opensaml-soap-impl-3.3
 .0.jar,opensaml-storage-api-3.3.0.jar,opensaml-storage-impl-3.3.0.jar
 ,opensaml-xmlsec-api-3.3.0.jar,opensaml-xmlsec-impl-3.3.0.jar
Bundle-ManifestVersion: 2
Bundle-Name: Liferay SAML OpenSAML Integration
Bundle-SymbolicName: com.liferay.saml.opensaml.integration
Bundle-Vendor: Liferay, Inc.
Bundle-Version: 4.0.37
Created-By: 1.8.0_221 (Oracle Corporation)
Export-Package: com.liferay.saml.opensaml.integration.resolver;version
 ="1.0.0";uses:="com.liferay.portal.kernel.exception,com.liferay.porta
 l.kernel.model,com.liferay.portal.kernel.service"
Import-Package: aQute.bnd.annotation.metatype;version="[1.45,2)",com.l
 iferay.document.library.kernel.exception;version="[3.1,4)",com.lifera
 y.document.library.kernel.store;version="[2.1,3)",com.liferay.expando
 .kernel.model;version="[3.3,4)",com.liferay.osgi.service.tracker.coll
 ections.map;version="[2.2,3)",com.liferay.petra.string;version="[1.4,
 2)",com.liferay.portal.configuration.metatype.annotations;version="[1
 .3,2)",com.liferay.portal.configuration.metatype.bnd.util;version="[2
 .0,3)",com.liferay.portal.kernel.bean;version="[8.0,9)",com.liferay.p
 ortal.kernel.configuration;version="[6.3,7)",com.liferay.portal.kerne
 l.exception;version="[9.3,10)",com.liferay.portal.kernel.io.unsync;ve
 rsion="[7.0,8)",com.liferay.portal.kernel.json;version="[8.7,9)",com.
 liferay.portal.kernel.log;version="[7.0,8)",com.liferay.portal.kernel
 .model;version="[5.6,6)",com.liferay.portal.kernel.security;version="
 [6.2,7)",com.liferay.portal.kernel.security.auth;version="[2.4,3)",co
 m.liferay.portal.kernel.service;version="[4.9,5)",com.liferay.portal.
 kernel.theme;version="[3.1,4)",com.liferay.portal.kernel.util;version
 ="[10.17,11)",com.liferay.portal.security.exportimport;version="[1.0,
 2)",com.liferay.saml.persistence.exception;version="[1.0,2)",com.life
 ray.saml.persistence.model;version="[2.2,3)",com.liferay.saml.persist
 ence.service;version="[2.2,3)",com.liferay.saml.runtime;version="[1.0
 ,2)",com.liferay.saml.runtime.certificate;version="[1.0,2)",com.lifer
 ay.saml.runtime.configuration;version="[4.0,5)",com.liferay.saml.runt
 ime.credential;version="[1.0,2)",com.liferay.saml.runtime.exception;v
 ersion="[1.1,2)",com.liferay.saml.runtime.metadata;version="[2.0,3)",
 com.liferay.saml.runtime.servlet.profile;version="[1.0,2)",com.lifera
 y.saml.util;version="[2.1,3)",javax.crypto,javax.crypto.interfaces,ja
 vax.crypto.spec,javax.json,javax.json.stream,javax.management,javax.n
 aming,javax.naming.directory,javax.naming.ldap,javax.net,javax.net.ss
 l,javax.persistence,javax.script,javax.security.auth.callback,javax.s
 ecurity.auth.x500,javax.security.cert,javax.servlet,javax.servlet.htt
 p,javax.sql,javax.swing,javax.swing.border,javax.swing.event,javax.sw
 ing.text,javax.xml.bind,javax.xml.bind.annotation,javax.xml.bind.anno
 tation.adapters,javax.xml.crypto,javax.xml.crypto.dom,javax.xml.crypt
 o.dsig,javax.xml.crypto.dsig.dom,javax.xml.crypto.dsig.keyinfo,javax.
 xml.crypto.dsig.spec,javax.xml.datatype,javax.xml.namespace,javax.xml
 .parsers,javax.xml.stream,javax.xml.stream.events,javax.xml.stream.ut
 il,javax.xml.transform,javax.xml.transform.dom,javax.xml.transform.sa
 x,javax.xml.transform.stax,javax.xml.transform.stream,javax.xml.valid
 ation,javax.xml.xpath,org.apache.commons.logging,org.apache.log4j,org
 .ietf.jgss,org.jdom,org.jdom.input,org.jdom.output,org.osgi.framework
 ;version="[1.8,2)",org.osgi.framework.wiring;version="[1.2,2)",org.sl
 f4j,org.w3c.dom,org.w3c.dom.events,org.w3c.dom.ls,org.w3c.dom.ranges,
 org.w3c.dom.traversal,org.w3c.dom.views,org.w3c.dom.xpath,org.xml.sax
 ,org.xml.sax.ext,org.xml.sax.helpers,sun.misc
Javac-Debug: on
Javac-Deprecation: off
Javac-Encoding: UTF-8
Liferay-Releng-App-Description: %liferay-releng-app-description
Liferay-Releng-App-Title: Liferay Connector to SAML 2.0
Liferay-Releng-Bundle: true
Liferay-Releng-Category: Security
Liferay-Releng-Deprecated: false
Liferay-Releng-Labs: false
Liferay-Releng-Marketplace: true
Liferay-Releng-Portal-Required: false
Liferay-Releng-Public: false
Liferay-Releng-Restart-Required: false
Liferay-Releng-Support-Url: http://www.liferay.com
Liferay-Releng-Supported: true
Private-Package: bindings,bindings.schemas,com.codahale.metrics,com.ct
 c.wstx.api,com.ctc.wstx.cfg,com.ctc.wstx.compat,com.ctc.wstx.dom,com.
 ctc.wstx.dtd,com.ctc.wstx.ent,com.ctc.wstx.evt,com.ctc.wstx.exc,com.c
 tc.wstx.io,com.ctc.wstx.msv,com.ctc.wstx.osgi,com.ctc.wstx.sax,com.ct
 c.wstx.sr,com.ctc.wstx.stax,com.ctc.wstx.sw,com.ctc.wstx.util,com.goo
 gle.common.annotations,com.google.common.base,com.google.common.base.
 internal,com.google.common.cache,com.google.common.collect,com.google
 .common.escape,com.google.common.eventbus,com.google.common.graph,com
 .google.common.hash,com.google.common.html,com.google.common.io,com.g
 oogle.common.math,com.google.common.net,com.google.common.primitives,
 com.google.common.reflect,com.google.common.util.concurrent,com.googl
 e.common.xml,com.google.thirdparty.publicsuffix,com.liferay.saml.open
 saml.integration.internal.binding,com.liferay.saml.opensaml.integrati
 on.internal.bootstrap,com.liferay.saml.opensaml.integration.internal.
 certificate,com.liferay.saml.opensaml.integration.internal.credential
 ,com.liferay.saml.opensaml.integration.internal.decryption,com.lifera
 y.saml.opensaml.integration.internal.identifier,com.liferay.saml.open
 saml.integration.internal.metadata,com.liferay.saml.opensaml.integrat
 ion.internal.provider,com.liferay.saml.opensaml.integration.internal.
 resolver,com.liferay.saml.opensaml.integration.internal.servlet.profi
 le,com.liferay.saml.opensaml.integration.internal.transport,com.lifer
 ay.saml.opensaml.integration.internal.transport.configuration,com.lif
 eray.saml.opensaml.integration.internal.util,com.liferay.saml.opensam
 l.integration.internal.velocity,content,java_cup.runtime,mozilla,net.
 shibboleth.utilities.java.support.annotation,net.shibboleth.utilities
 .java.support.annotation.constraint,net.shibboleth.utilities.java.sup
 port.codec,net.shibboleth.utilities.java.support.collection,net.shibb
 oleth.utilities.java.support.component,net.shibboleth.utilities.java.
 support.httpclient,net.shibboleth.utilities.java.support.logic,net.sh
 ibboleth.utilities.java.support.net,net.shibboleth.utilities.java.sup
 port.primitive,net.shibboleth.utilities.java.support.resolver,net.shi
 bboleth.utilities.java.support.resource,net.shibboleth.utilities.java
 .support.scripting,net.shibboleth.utilities.java.support.security,net
 .shibboleth.utilities.java.support.service,net.shibboleth.utilities.j
 ava.support.velocity,net.shibboleth.utilities.java.support.xml,org.ap
 ache.bcel,org.apache.bcel.classfile,org.apache.bcel.generic,org.apach
 e.bcel.util,org.apache.bcel.verifier,org.apache.bcel.verifier.exc,org
 .apache.bcel.verifier.statics,org.apache.bcel.verifier.structurals,or
 g.apache.commons.codec,org.apache.commons.codec.binary,org.apache.com
 mons.codec.digest,org.apache.commons.codec.language,org.apache.common
 s.codec.language.bm,org.apache.commons.codec.net,org.apache.commons.c
 ollections,org.apache.commons.collections.bag,org.apache.commons.coll
 ections.bidimap,org.apache.commons.collections.buffer,org.apache.comm
 ons.collections.collection,org.apache.commons.collections.comparators
 ,org.apache.commons.collections.functors,org.apache.commons.collectio
 ns.iterators,org.apache.commons.collections.keyvalue,org.apache.commo
 ns.collections.list,org.apache.commons.collections.map,org.apache.com
 mons.collections.set,org.apache.commons.httpclient.contrib.ssl,org.ap
 ache.commons.lang,org.apache.commons.lang.builder,org.apache.commons.
 lang.enum,org.apache.commons.lang.enums,org.apache.commons.lang.excep
 tion,org.apache.commons.lang.math,org.apache.commons.lang.mutable,org
 .apache.commons.lang.reflect,org.apache.commons.lang.text,org.apache.
 commons.lang.time,org.apache.commons.ssl,org.apache.commons.ssl.asn1,
 org.apache.commons.ssl.rmi,org.apache.commons.ssl.util,org.apache.env
 ,org.apache.html.dom,org.apache.http,org.apache.http.annotation,org.a
 pache.http.auth,org.apache.http.auth.params,org.apache.http.client,or
 g.apache.http.client.cache,org.apache.http.client.config,org.apache.h
 ttp.client.entity,org.apache.http.client.methods,org.apache.http.clie
 nt.params,org.apache.http.client.protocol,org.apache.http.client.util
 s,org.apache.http.concurrent,org.apache.http.config,org.apache.http.c
 onn,org.apache.http.conn.params,org.apache.http.conn.routing,org.apac
 he.http.conn.scheme,org.apache.http.conn.socket,org.apache.http.conn.
 ssl,org.apache.http.conn.util,org.apache.http.cookie,org.apache.http.
 cookie.params,org.apache.http.entity,org.apache.http.entity.mime,org.
 apache.http.entity.mime.content,org.apache.http.impl,org.apache.http.
 impl.auth,org.apache.http.impl.bootstrap,org.apache.http.impl.client,
 org.apache.http.impl.client.cache,org.apache.http.impl.client.cache.e
 hcache,org.apache.http.impl.client.cache.memcached,org.apache.http.im
 pl.conn,org.apache.http.impl.conn.tsccm,org.apache.http.impl.cookie,o
 rg.apache.http.impl.entity,org.apache.http.impl.execchain,org.apache.
 http.impl.io,org.apache.http.impl.pool,org.apache.http.io,org.apache.
 http.message,org.apache.http.params,org.apache.http.pool,org.apache.h
 ttp.protocol,org.apache.http.ssl,org.apache.http.util,org.apache.jcp.
 xml.dsig.internal,org.apache.jcp.xml.dsig.internal.dom,org.apache.reg
 exp,org.apache.velocity,org.apache.velocity.anakia,org.apache.velocit
 y.app,org.apache.velocity.app.event,org.apache.velocity.app.event.imp
 lement,org.apache.velocity.app.tools,org.apache.velocity.context,org.
 apache.velocity.convert,org.apache.velocity.exception,org.apache.velo
 city.io,org.apache.velocity.runtime,org.apache.velocity.runtime.defau
 lts,org.apache.velocity.runtime.directive,org.apache.velocity.runtime
 .log,org.apache.velocity.runtime.parser,org.apache.velocity.runtime.p
 arser.node,org.apache.velocity.runtime.resource,org.apache.velocity.r
 untime.resource.loader,org.apache.velocity.runtime.resource.util,org.
 apache.velocity.runtime.visitor,org.apache.velocity.servlet,org.apach
 e.velocity.texen,org.apache.velocity.texen.ant,org.apache.velocity.te
 xen.defaults,org.apache.velocity.texen.util,org.apache.velocity.util,
 org.apache.velocity.util.introspection,org.apache.wml,org.apache.wml.
 dom,org.apache.xalan,org.apache.xalan.client,org.apache.xalan.extensi
 ons,org.apache.xalan.lib,org.apache.xalan.lib.sql,org.apache.xalan.pr
 ocessor,org.apache.xalan.res,org.apache.xalan.serialize,org.apache.xa
 lan.templates,org.apache.xalan.trace,org.apache.xalan.transformer,org
 .apache.xalan.xslt,org.apache.xalan.xsltc,org.apache.xalan.xsltc.cmdl
 ine,org.apache.xalan.xsltc.cmdline.getopt,org.apache.xalan.xsltc.comp
 iler,org.apache.xalan.xsltc.compiler.util,org.apache.xalan.xsltc.dom,
 org.apache.xalan.xsltc.runtime,org.apache.xalan.xsltc.runtime.output,
 org.apache.xalan.xsltc.trax,org.apache.xalan.xsltc.util,org.apache.xe
 rces.dom,org.apache.xerces.dom.events,org.apache.xerces.dom3.as,org.a
 pache.xerces.impl,org.apache.xerces.impl.dtd,org.apache.xerces.impl.d
 td.models,org.apache.xerces.impl.dv,org.apache.xerces.impl.dv.dtd,org
 .apache.xerces.impl.dv.util,org.apache.xerces.impl.dv.xs,org.apache.x
 erces.impl.io,org.apache.xerces.impl.msg,org.apache.xerces.impl.valid
 ation,org.apache.xerces.impl.xpath,org.apache.xerces.impl.xpath.regex
 ,org.apache.xerces.impl.xs,org.apache.xerces.impl.xs.identity,org.apa
 che.xerces.impl.xs.models,org.apache.xerces.impl.xs.opti,org.apache.x
 erces.impl.xs.traversers,org.apache.xerces.impl.xs.util,org.apache.xe
 rces.jaxp,org.apache.xerces.jaxp.datatype,org.apache.xerces.jaxp.vali
 dation,org.apache.xerces.parsers,org.apache.xerces.stax,org.apache.xe
 rces.stax.events,org.apache.xerces.util,org.apache.xerces.xinclude,or
 g.apache.xerces.xni,org.apache.xerces.xni.grammars,org.apache.xerces.
 xni.parser,org.apache.xerces.xpointer,org.apache.xerces.xs,org.apache
 .xerces.xs.datatypes,org.apache.xml.dtm,org.apache.xml.dtm.ref,org.ap
 ache.xml.dtm.ref.dom2dtm,org.apache.xml.dtm.ref.sax2dtm,org.apache.xm
 l.res,org.apache.xml.resolver,org.apache.xml.resolver.apps,org.apache
 .xml.resolver.etc,org.apache.xml.resolver.helpers,org.apache.xml.reso
 lver.readers,org.apache.xml.resolver.tools,org.apache.xml.security,or
 g.apache.xml.security.algorithms,org.apache.xml.security.algorithms.i
 mplementations,org.apache.xml.security.binding.excc14n,org.apache.xml
 .security.binding.xmldsig,org.apache.xml.security.binding.xmldsig11,o
 rg.apache.xml.security.binding.xmlenc,org.apache.xml.security.binding
 .xmlenc11,org.apache.xml.security.binding.xop,org.apache.xml.security
 .c14n,org.apache.xml.security.c14n.helper,org.apache.xml.security.c14
 n.implementations,org.apache.xml.security.configuration,org.apache.xm
 l.security.encryption,org.apache.xml.security.exceptions,org.apache.x
 ml.security.keys,org.apache.xml.security.keys.content,org.apache.xml.
 security.keys.content.keyvalues,org.apache.xml.security.keys.content.
 x509,org.apache.xml.security.keys.keyresolver,org.apache.xml.security
 .keys.keyresolver.implementations,org.apache.xml.security.keys.storag
 e,org.apache.xml.security.keys.storage.implementations,org.apache.xml
 .security.resource,org.apache.xml.security.resource.schema,org.apache
 .xml.security.signature,org.apache.xml.security.signature.reference,o
 rg.apache.xml.security.stax.config,org.apache.xml.security.stax.ext,o
 rg.apache.xml.security.stax.ext.stax,org.apache.xml.security.stax.imp
 l,org.apache.xml.security.stax.impl.algorithms,org.apache.xml.securit
 y.stax.impl.processor.input,org.apache.xml.security.stax.impl.process
 or.output,org.apache.xml.security.stax.impl.resourceResolvers,org.apa
 che.xml.security.stax.impl.securityToken,org.apache.xml.security.stax
 .impl.stax,org.apache.xml.security.stax.impl.transformer,org.apache.x
 ml.security.stax.impl.transformer.canonicalizer,org.apache.xml.securi
 ty.stax.impl.util,org.apache.xml.security.stax.securityEvent,org.apac
 he.xml.security.stax.securityToken,org.apache.xml.security.transforms
 ,org.apache.xml.security.transforms.implementations,org.apache.xml.se
 curity.transforms.params,org.apache.xml.security.utils,org.apache.xml
 .security.utils.resolver,org.apache.xml.security.utils.resolver.imple
 mentations,org.apache.xml.serialize,org.apache.xml.serializer,org.apa
 che.xml.serializer.dom3,org.apache.xml.serializer.utils,org.apache.xm
 l.utils,org.apache.xml.utils.res,org.apache.xpath,org.apache.xpath.ax
 es,org.apache.xpath.compiler,org.apache.xpath.domapi,org.apache.xpath
 .functions,org.apache.xpath.jaxp,org.apache.xpath.objects,org.apache.
 xpath.operations,org.apache.xpath.patterns,org.apache.xpath.res,org.b
 ouncycastle,org.bouncycastle.asn1,org.bouncycastle.asn1.anssi,org.bou
 ncycastle.asn1.bc,org.bouncycastle.asn1.bsi,org.bouncycastle.asn1.cmc
 ,org.bouncycastle.asn1.cmp,org.bouncycastle.asn1.cms,org.bouncycastle
 .asn1.cms.ecc,org.bouncycastle.asn1.crmf,org.bouncycastle.asn1.cryptl
 ib,org.bouncycastle.asn1.cryptopro,org.bouncycastle.asn1.dvcs,org.bou
 ncycastle.asn1.eac,org.bouncycastle.asn1.edec,org.bouncycastle.asn1.e
 sf,org.bouncycastle.asn1.ess,org.bouncycastle.asn1.est,org.bouncycast
 le.asn1.gm,org.bouncycastle.asn1.gnu,org.bouncycastle.asn1.iana,org.b
 ouncycastle.asn1.icao,org.bouncycastle.asn1.isismtt,org.bouncycastle.
 asn1.isismtt.ocsp,org.bouncycastle.asn1.isismtt.x509,org.bouncycastle
 .asn1.iso,org.bouncycastle.asn1.kisa,org.bouncycastle.asn1.microsoft,
 org.bouncycastle.asn1.misc,org.bouncycastle.asn1.mozilla,org.bouncyca
 stle.asn1.nist,org.bouncycastle.asn1.nsri,org.bouncycastle.asn1.ntt,o
 rg.bouncycastle.asn1.ocsp,org.bouncycastle.asn1.oiw,org.bouncycastle.
 asn1.pkcs,org.bouncycastle.asn1.rosstandart,org.bouncycastle.asn1.sec
 ,org.bouncycastle.asn1.smime,org.bouncycastle.asn1.teletrust,org.boun
 cycastle.asn1.tsp,org.bouncycastle.asn1.ua,org.bouncycastle.asn1.util
 ,org.bouncycastle.asn1.x500,org.bouncycastle.asn1.x500.style,org.boun
 cycastle.asn1.x509,org.bouncycastle.asn1.x509.qualified,org.bouncycas
 tle.asn1.x509.sigi,org.bouncycastle.asn1.x9,org.bouncycastle.cert,org
 .bouncycastle.cert.bc,org.bouncycastle.cert.cmp,org.bouncycastle.cert
 .crmf,org.bouncycastle.cert.crmf.bc,org.bouncycastle.cert.crmf.jcajce
 ,org.bouncycastle.cert.dane,org.bouncycastle.cert.dane.fetcher,org.bo
 uncycastle.cert.jcajce,org.bouncycastle.cert.ocsp,org.bouncycastle.ce
 rt.ocsp.jcajce,org.bouncycastle.cert.path,org.bouncycastle.cert.path.
 validations,org.bouncycastle.cert.selector,org.bouncycastle.cert.sele
 ctor.jcajce,org.bouncycastle.cmc,org.bouncycastle.cms,org.bouncycastl
 e.cms.bc,org.bouncycastle.cms.jcajce,org.bouncycastle.crypto,org.boun
 cycastle.crypto.agreement,org.bouncycastle.crypto.agreement.jpake,org
 .bouncycastle.crypto.agreement.kdf,org.bouncycastle.crypto.agreement.
 srp,org.bouncycastle.crypto.commitments,org.bouncycastle.crypto.diges
 ts,org.bouncycastle.crypto.ec,org.bouncycastle.crypto.encodings,org.b
 ouncycastle.crypto.engines,org.bouncycastle.crypto.examples,org.bounc
 ycastle.crypto.generators,org.bouncycastle.crypto.io,org.bouncycastle
 .crypto.kems,org.bouncycastle.crypto.macs,org.bouncycastle.crypto.mod
 es,org.bouncycastle.crypto.modes.gcm,org.bouncycastle.crypto.modes.kg
 cm,org.bouncycastle.crypto.paddings,org.bouncycastle.crypto.params,or
 g.bouncycastle.crypto.parsers,org.bouncycastle.crypto.prng,org.bouncy
 castle.crypto.prng.drbg,org.bouncycastle.crypto.signers,org.bouncycas
 tle.crypto.tls,org.bouncycastle.crypto.util,org.bouncycastle.dvcs,org
 .bouncycastle.eac,org.bouncycastle.eac.jcajce,org.bouncycastle.eac.op
 erator,org.bouncycastle.eac.operator.jcajce,org.bouncycastle.est,org.
 bouncycastle.est.jcajce,org.bouncycastle.i18n,org.bouncycastle.i18n.f
 ilter,org.bouncycastle.iana,org.bouncycastle.jcajce,org.bouncycastle.
 jcajce.interfaces,org.bouncycastle.jcajce.io,org.bouncycastle.jcajce.
 provider.asymmetric,org.bouncycastle.jcajce.provider.asymmetric.dh,or
 g.bouncycastle.jcajce.provider.asymmetric.dsa,org.bouncycastle.jcajce
 .provider.asymmetric.dstu,org.bouncycastle.jcajce.provider.asymmetric
 .ec,org.bouncycastle.jcajce.provider.asymmetric.ecgost,org.bouncycast
 le.jcajce.provider.asymmetric.ecgost12,org.bouncycastle.jcajce.provid
 er.asymmetric.edec,org.bouncycastle.jcajce.provider.asymmetric.elgama
 l,org.bouncycastle.jcajce.provider.asymmetric.gost,org.bouncycastle.j
 cajce.provider.asymmetric.ies,org.bouncycastle.jcajce.provider.asymme
 tric.rsa,org.bouncycastle.jcajce.provider.asymmetric.util,org.bouncyc
 astle.jcajce.provider.asymmetric.x509,org.bouncycastle.jcajce.provide
 r.config,org.bouncycastle.jcajce.provider.digest,org.bouncycastle.jca
 jce.provider.drbg,org.bouncycastle.jcajce.provider.keystore,org.bounc
 ycastle.jcajce.provider.keystore.bc,org.bouncycastle.jcajce.provider.
 keystore.bcfks,org.bouncycastle.jcajce.provider.keystore.pkcs12,org.b
 ouncycastle.jcajce.provider.symmetric,org.bouncycastle.jcajce.provide
 r.symmetric.util,org.bouncycastle.jcajce.provider.util,org.bouncycast
 le.jcajce.spec,org.bouncycastle.jcajce.util,org.bouncycastle.jce,org.
 bouncycastle.jce.exception,org.bouncycastle.jce.interfaces,org.bouncy
 castle.jce.netscape,org.bouncycastle.jce.provider,org.bouncycastle.jc
 e.spec,org.bouncycastle.math,org.bouncycastle.math.ec,org.bouncycastl
 e.math.ec.custom.djb,org.bouncycastle.math.ec.custom.gm,org.bouncycas
 tle.math.ec.custom.sec,org.bouncycastle.math.ec.endo,org.bouncycastle
 .math.ec.rfc7748,org.bouncycastle.math.ec.rfc8032,org.bouncycastle.ma
 th.ec.tools,org.bouncycastle.math.field,org.bouncycastle.math.raw,org
 .bouncycastle.mime,org.bouncycastle.mime.encoding,org.bouncycastle.mi
 me.smime,org.bouncycastle.mozilla,org.bouncycastle.mozilla.jcajce,org
 .bouncycastle.openssl,org.bouncycastle.openssl.bc,org.bouncycastle.op
 enssl.jcajce,org.bouncycastle.operator,org.bouncycastle.operator.bc,o
 rg.bouncycastle.operator.jcajce,org.bouncycastle.pkcs,org.bouncycastl
 e.pkcs.bc,org.bouncycastle.pkcs.jcajce,org.bouncycastle.pkix,org.boun
 cycastle.pkix.jcajce,org.bouncycastle.pqc.asn1,org.bouncycastle.pqc.c
 rypto,org.bouncycastle.pqc.crypto.gmss,org.bouncycastle.pqc.crypto.gm
 ss.util,org.bouncycastle.pqc.crypto.mceliece,org.bouncycastle.pqc.cry
 pto.newhope,org.bouncycastle.pqc.crypto.qtesla,org.bouncycastle.pqc.c
 rypto.qteslarnd1,org.bouncycastle.pqc.crypto.rainbow,org.bouncycastle
 .pqc.crypto.rainbow.util,org.bouncycastle.pqc.crypto.sphincs,org.boun
 cycastle.pqc.crypto.util,org.bouncycastle.pqc.crypto.xmss,org.bouncyc
 astle.pqc.jcajce.interfaces,org.bouncycastle.pqc.jcajce.provider,org.
 bouncycastle.pqc.jcajce.provider.gmss,org.bouncycastle.pqc.jcajce.pro
 vider.mceliece,org.bouncycastle.pqc.jcajce.provider.newhope,org.bounc
 ycastle.pqc.jcajce.provider.qtesla,org.bouncycastle.pqc.jcajce.provid
 er.rainbow,org.bouncycastle.pqc.jcajce.provider.sphincs,org.bouncycas
 tle.pqc.jcajce.provider.util,org.bouncycastle.pqc.jcajce.provider.xms
 s,org.bouncycastle.pqc.jcajce.spec,org.bouncycastle.pqc.math.linearal
 gebra,org.bouncycastle.tsp,org.bouncycastle.tsp.cms,org.bouncycastle.
 util,org.bouncycastle.util.encoders,org.bouncycastle.util.io,org.boun
 cycastle.util.io.pem,org.bouncycastle.util.test,org.bouncycastle.voms
 ,org.bouncycastle.x509,org.bouncycastle.x509.extension,org.bouncycast
 le.x509.util,org.codehaus.stax2,org.codehaus.stax2.evt,org.codehaus.s
 tax2.io,org.codehaus.stax2.osgi,org.codehaus.stax2.ri,org.codehaus.st
 ax2.ri.dom,org.codehaus.stax2.ri.evt,org.codehaus.stax2.ri.typed,org.
 codehaus.stax2.typed,org.codehaus.stax2.util,org.codehaus.stax2.valid
 ation,org.cryptacular,org.cryptacular.adapter,org.cryptacular.asn,org
 .cryptacular.bean,org.cryptacular.codec,org.cryptacular.generator,org
 .cryptacular.generator.sp80038a,org.cryptacular.generator.sp80038d,or
 g.cryptacular.io,org.cryptacular.pbe,org.cryptacular.spec,org.cryptac
 ular.util,org.cryptacular.x509,org.cryptacular.x509.dn,org.joda.conve
 rt,org.joda.time,org.joda.time.base,org.joda.time.chrono,org.joda.tim
 e.convert,org.joda.time.field,org.joda.time.format,org.joda.time.tz,o
 rg.joda.time.tz.data.Africa,org.joda.time.tz.data.America,org.joda.ti
 me.tz.data.America.Argentina,org.joda.time.tz.data.America.Indiana,or
 g.joda.time.tz.data.America.Kentucky,org.joda.time.tz.data.America.No
 rth_Dakota,org.joda.time.tz.data.Antarctica,org.joda.time.tz.data.Arc
 tic,org.joda.time.tz.data.Asia,org.joda.time.tz.data.Atlantic,org.jod
 a.time.tz.data.Australia,org.joda.time.tz.data,org.joda.time.tz.data.
 Etc,org.joda.time.tz.data.Europe,org.joda.time.tz.data.Indian,org.jod
 a.time.tz.data.Pacific,org.w3c.dom.html,schemas,trax,org.opensaml.cor
 e,org.opensaml.core.config,org.opensaml.core.config.provider,org.open
 saml.core.criterion,org.opensaml.core.metrics,org.opensaml.core.metri
 cs.impl,org.opensaml.core.xml,org.opensaml.core.xml.config,org.opensa
 ml.core.xml.io,org.opensaml.core.xml.persist,org.opensaml.core.xml.sc
 hema,org.opensaml.core.xml.schema.impl,org.opensaml.core.xml.util,sch
 ema,org.opensaml.messaging,org.opensaml.messaging.context,org.opensam
 l.messaging.context.httpclient,org.opensaml.messaging.context.navigat
 e,org.opensaml.messaging.decoder,org.opensaml.messaging.decoder.httpc
 lient,org.opensaml.messaging.decoder.servlet,org.opensaml.messaging.e
 ncoder,org.opensaml.messaging.encoder.httpclient,org.opensaml.messagi
 ng.encoder.servlet,org.opensaml.messaging.error,org.opensaml.messagin
 g.error.servlet,org.opensaml.messaging.handler,org.opensaml.messaging
 .pipeline,org.opensaml.messaging.pipeline.httpclient,org.opensaml.mes
 saging.pipeline.servlet,org.opensaml.messaging.handler.impl,org.opens
 aml.profile.action,org.opensaml.profile.context,org.opensaml.profile.
 context.navigate,org.opensaml.profile.logic,org.opensaml.profile.acti
 on.impl,org.opensaml.saml.common,org.opensaml.saml.common.assertion,o
 rg.opensaml.saml.common.binding,org.opensaml.saml.common.binding.arti
 fact,org.opensaml.saml.common.binding.decoding,org.opensaml.saml.comm
 on.binding.encoding,org.opensaml.saml.common.messaging,org.opensaml.s
 aml.common.messaging.context,org.opensaml.saml.common.messaging.conte
 xt.navigate,org.opensaml.saml.common.messaging.logic,org.opensaml.sam
 l.common.profile,org.opensaml.saml.common.profile.logic,org.opensaml.
 saml.common.xml,org.opensaml.saml.config,org.opensaml.saml.criterion,
 org.opensaml.saml.ext.idpdisco,org.opensaml.saml.ext.saml1md,org.open
 saml.saml.ext.saml2alg,org.opensaml.saml.ext.saml2aslo,org.opensaml.s
 aml.ext.saml2cb,org.opensaml.saml.ext.saml2delrestrict,org.opensaml.s
 aml.ext.saml2mdattr,org.opensaml.saml.ext.saml2mdquery,org.opensaml.s
 aml.ext.saml2mdreqinit,org.opensaml.saml.ext.saml2mdrpi,org.opensaml.
 saml.ext.saml2mdui,org.opensaml.saml.ext.samlec,org.opensaml.saml.ext
 .samlpthrpty,org.opensaml.saml.metadata,org.opensaml.saml.metadata.cr
 iteria.entity,org.opensaml.saml.metadata.criteria.role,org.opensaml.s
 aml.metadata.resolver,org.opensaml.saml.metadata.resolver.filter,org.
 opensaml.saml.metadata.resolver.index,org.opensaml.saml.metadata.supp
 ort,org.opensaml.saml.saml1.binding.artifact,org.opensaml.saml.saml1.
 core,org.opensaml.saml.saml1.profile,org.opensaml.saml.saml2.assertio
 n,org.opensaml.saml.saml2.binding.artifact,org.opensaml.saml.saml2.co
 mmon,org.opensaml.saml.saml2.core,org.opensaml.saml.saml2.ecp,org.ope
 nsaml.saml.saml2.encryption,org.opensaml.saml.saml2.metadata,org.open
 saml.saml.saml2.profile,org.opensaml.saml.saml2.profile.context,org.o
 pensaml.saml.saml2.wssecurity,org.opensaml.saml.common.binding.artifa
 ct.impl,org.opensaml.saml.common.binding.impl,org.opensaml.saml.commo
 n.binding.security.impl,org.opensaml.saml.common.profile.impl,org.ope
 nsaml.saml.ext.idpdisco.impl,org.opensaml.saml.ext.saml1md.impl,org.o
 pensaml.saml.ext.saml2alg.impl,org.opensaml.saml.ext.saml2aslo.impl,o
 rg.opensaml.saml.ext.saml2cb.impl,org.opensaml.saml.ext.saml2delrestr
 ict.impl,org.opensaml.saml.ext.saml2mdattr.impl,org.opensaml.saml.ext
 .saml2mdquery.impl,org.opensaml.saml.ext.saml2mdreqinit.impl,org.open
 saml.saml.ext.saml2mdrpi.impl,org.opensaml.saml.ext.saml2mdui.impl,or
 g.opensaml.saml.ext.samlec.impl,org.opensaml.saml.ext.samlpthrpty.imp
 l,org.opensaml.saml.metadata.criteria.entity.impl,org.opensaml.saml.m
 etadata.criteria.role.impl,org.opensaml.saml.metadata.resolver.filter
 .impl,org.opensaml.saml.metadata.resolver.impl,org.opensaml.saml.meta
 data.resolver.index.impl,org.opensaml.saml.saml1.binding.decoding.imp
 l,org.opensaml.saml.saml1.binding.encoding.impl,org.opensaml.saml.sam
 l1.binding.impl,org.opensaml.saml.saml1.core.impl,org.opensaml.saml.s
 aml1.profile.impl,org.opensaml.saml.saml2.assertion.impl,org.opensaml
 .saml.saml2.binding.decoding.impl,org.opensaml.saml.saml2.binding.enc
 oding.impl,org.opensaml.saml.saml2.binding.impl,org.opensaml.saml.sam
 l2.binding.security.impl,org.opensaml.saml.saml2.core.impl,org.opensa
 ml.saml.saml2.ecp.impl,org.opensaml.saml.saml2.metadata.impl,org.open
 saml.saml.saml2.profile.impl,org.opensaml.saml.saml2.wssecurity.messa
 ging.impl,org.opensaml.saml.security.impl,templates,org.opensaml.secu
 rity,org.opensaml.security.credential,org.opensaml.security.criteria,
 org.opensaml.security.crypto,org.opensaml.security.httpclient,org.ope
 nsaml.security.messaging,org.opensaml.security.trust,org.opensaml.sec
 urity.x509,org.opensaml.security.x509.tls,org.opensaml.security.confi
 g,org.opensaml.security.credential.criteria.impl,org.opensaml.securit
 y.credential.impl,org.opensaml.security.httpclient.impl,org.opensaml.
 security.messaging.impl,org.opensaml.security.trust.impl,org.opensaml
 .security.x509.impl,org.opensaml.security.x509.tls.impl,org.opensaml.
 soap.client,org.opensaml.soap.client.http,org.opensaml.soap.common,or
 g.opensaml.soap.messaging,org.opensaml.soap.messaging.context,org.ope
 nsaml.soap.soap11,org.opensaml.soap.soap12,org.opensaml.soap.util,org
 .opensaml.soap.wsaddressing,org.opensaml.soap.wsaddressing.messaging,
 org.opensaml.soap.wsaddressing.util,org.opensaml.soap.wsfed,org.opens
 aml.soap.wspolicy,org.opensaml.soap.wssecurity,org.opensaml.soap.wsse
 curity.messaging,org.opensaml.soap.wssecurity.util,org.opensaml.soap.
 wstrust,org.opensaml.soap.client.soap11.decoder.http.impl,org.opensam
 l.soap.client.soap11.encoder.http.impl,org.opensaml.soap.config,org.o
 pensaml.soap.soap11.decoder.http.impl,org.opensaml.soap.soap11.encode
 r.http.impl,org.opensaml.soap.soap11.impl,org.opensaml.soap.soap11.me
 ssaging.impl,org.opensaml.soap.soap11.profile.impl,org.opensaml.soap.
 wsaddressing.impl,org.opensaml.soap.wsaddressing.messaging.impl,org.o
 pensaml.soap.wsfed.impl,org.opensaml.soap.wspolicy.impl,org.opensaml.
 soap.wssecurity.impl,org.opensaml.soap.wssecurity.messaging.impl,org.
 opensaml.soap.wstrust.impl,org.opensaml.storage,org.opensaml.storage.
 annotation,org.opensaml.storage.impl,org.opensaml.storage.impl.client
 ,org.opensaml.storage.impl.memcached,org.opensaml.xmlsec,org.opensaml
 .xmlsec.algorithm,org.opensaml.xmlsec.algorithm.descriptors,org.opens
 aml.xmlsec.config,org.opensaml.xmlsec.context,org.opensaml.xmlsec.cri
 terion,org.opensaml.xmlsec.crypto,org.opensaml.xmlsec.encryption,org.
 opensaml.xmlsec.encryption.support,org.opensaml.xmlsec.keyinfo,org.op
 ensaml.xmlsec.signature,org.opensaml.xmlsec.signature.support,org.ope
 nsaml.xmlsec.encryption.impl,org.opensaml.xmlsec.impl,org.opensaml.xm
 lsec.keyinfo.impl,org.opensaml.xmlsec.keyinfo.impl.provider,org.opens
 aml.xmlsec.signature.impl,org.opensaml.xmlsec.signature.support.impl,
 org.opensaml.xmlsec.signature.support.provider
Provide-Capability: osgi.service;objectClass:List<String>="com.liferay
 .saml.opensaml.integration.internal.binding.HttpBindingsRegistrator";
 uses:="com.liferay.saml.opensaml.integration.internal.binding",osgi.s
 ervice;objectClass:List<String>="com.liferay.saml.opensaml.integratio
 n.internal.bootstrap.OpenSamlBootstrap";uses:="com.liferay.saml.opens
 aml.integration.internal.bootstrap",osgi.service;objectClass:List<Str
 ing>="com.liferay.saml.opensaml.integration.internal.bootstrap.Securi
 tyConfigurationBootstrap";uses:="com.liferay.saml.opensaml.integratio
 n.internal.bootstrap",osgi.service;objectClass:List<String>="com.life
 ray.saml.opensaml.integration.internal.metadata.MetadataManager,com.l
 iferay.saml.util.SamlHttpRequestUtil";uses:="com.liferay.saml.opensam
 l.integration.internal.metadata,com.liferay.saml.util",osgi.service;o
 bjectClass:List<String>="com.liferay.saml.opensaml.integration.intern
 al.resolver.AttributeResolverRegistry";uses:="com.liferay.saml.opensa
 ml.integration.internal.resolver",osgi.service;objectClass:List<Strin
 g>="com.liferay.saml.opensaml.integration.internal.resolver.NameIdRes
 olverRegistry";uses:="com.liferay.saml.opensaml.integration.internal.
 resolver",osgi.service;objectClass:List<String>="com.liferay.saml.ope
 nsaml.integration.internal.servlet.profile.IdentifierGenerationStrate
 gyFactory";uses:="com.liferay.saml.opensaml.integration.internal.serv
 let.profile",osgi.service;objectClass:List<String>="com.liferay.saml.
 opensaml.integration.internal.transport.HttpClientFactory";uses:="com
 .liferay.saml.opensaml.integration.internal.transport",osgi.service;o
 bjectClass:List<String>="com.liferay.saml.opensaml.integration.intern
 al.velocity.VelocityEngineFactory";uses:="com.liferay.saml.opensaml.i
 ntegration.internal.velocity",osgi.service;objectClass:List<String>="
 com.liferay.saml.opensaml.integration.resolver.AttributeResolver";use
 s:="com.liferay.saml.opensaml.integration.resolver",osgi.service;obje
 ctClass:List<String>="com.liferay.saml.opensaml.integration.resolver.
 NameIdResolver";uses:="com.liferay.saml.opensaml.integration.resolver
 ",osgi.service;objectClass:List<String>="com.liferay.saml.opensaml.in
 tegration.resolver.UserResolver";uses:="com.liferay.saml.opensaml.int
 egration.resolver",osgi.service;objectClass:List<String>="com.liferay
 .saml.runtime.certificate.CertificateTool";uses:="com.liferay.saml.ru
 ntime.certificate",osgi.service;objectClass:List<String>="com.liferay
 .saml.runtime.credential.KeyStoreManager";uses:="com.liferay.saml.run
 time.credential",osgi.service;objectClass:List<String>="com.liferay.s
 aml.runtime.metadata.LocalEntityManager,org.opensaml.security.credent
 ial.CredentialResolver";uses:="com.liferay.saml.runtime.metadata,org.
 opensaml.security.credential",osgi.service;objectClass:List<String>="
 com.liferay.saml.runtime.servlet.profile.SingleLogoutProfile";uses:="
 com.liferay.saml.runtime.servlet.profile",osgi.service;objectClass:Li
 st<String>="com.liferay.saml.runtime.servlet.profile.WebSsoProfile";u
 ses:="com.liferay.saml.runtime.servlet.profile",osgi.service;objectCl
 ass:List<String>="com.liferay.saml.util.MetadataUtil";uses:="com.life
 ray.saml.util",osgi.service;objectClass:List<String>="com.liferay.sam
 l.util.NameIdTypeValues";uses:="com.liferay.saml.util",osgi.service;o
 bjectClass:List<String>="org.opensaml.saml.metadata.resolver.Metadata
 Resolver";uses:="org.opensaml.saml.metadata.resolver",liferay.resourc
 e.bundle;bundle.symbolic.name="com.liferay.saml.opensaml.integration"
 ;resource.bundle.base.name="content.Language"
Require-Capability: osgi.extender;filter:="(&(osgi.extender=osgi.compo
 nent)(version>=1.3.0)(!(version>=2.0.0)))",osgi.service;filter:="(obj
 ectClass=com.liferay.portal.kernel.service.CompanyLocalService)";effe
 ctive:=active,osgi.service;filter:="(objectClass=com.liferay.portal.k
 ernel.service.GroupLocalService)";effective:=active,osgi.service;filt
 er:="(objectClass=com.liferay.portal.kernel.service.RoleLocalService)
 ";effective:=active,osgi.service;filter:="(objectClass=com.liferay.po
 rtal.kernel.service.UserGroupGroupRoleLocalService)";effective:=activ
 e,osgi.service;filter:="(objectClass=com.liferay.portal.kernel.servic
 e.UserGroupRoleLocalService)";effective:=active,osgi.service;filter:=
 "(objectClass=com.liferay.portal.kernel.service.UserLocalService)";ef
 fective:=active,osgi.service;filter:="(objectClass=com.liferay.portal
 .kernel.util.Http)";effective:=active,osgi.service;filter:="(objectCl
 ass=com.liferay.portal.kernel.util.Portal)";effective:=active,osgi.se
 rvice;filter:="(objectClass=com.liferay.portal.security.exportimport.
 UserImporter)";effective:=active,osgi.service;filter:="(objectClass=c
 om.liferay.saml.opensaml.integration.internal.binding.SamlBinding)";e
 ffective:=active;cardinality:=multiple,osgi.service;filter:="(objectC
 lass=com.liferay.saml.opensaml.integration.internal.bootstrap.OpenSam
 lBootstrap)";effective:=active,osgi.service;filter:="(objectClass=com
 .liferay.saml.opensaml.integration.internal.bootstrap.SecurityConfigu
 rationBootstrap)";effective:=active,osgi.service;filter:="(objectClas
 s=com.liferay.saml.opensaml.integration.internal.metadata.MetadataMan
 ager)";effective:=active,osgi.service;filter:="(objectClass=com.lifer
 ay.saml.opensaml.integration.internal.resolver.AttributeResolverRegis
 try)";effective:=active,osgi.service;filter:="(objectClass=com.lifera
 y.saml.opensaml.integration.internal.resolver.NameIdResolverRegistry)
 ";effective:=active,osgi.service;filter:="(objectClass=com.liferay.sa
 ml.opensaml.integration.internal.servlet.profile.IdentifierGeneration
 StrategyFactory)";effective:=active,osgi.service;filter:="(objectClas
 s=com.liferay.saml.opensaml.integration.internal.velocity.VelocityEng
 ineFactory)";effective:=active,osgi.service;filter:="(objectClass=com
 .liferay.saml.opensaml.integration.resolver.AttributeResolver)";effec
 tive:=active,osgi.service;filter:="(objectClass=com.liferay.saml.open
 saml.integration.resolver.NameIdResolver)";effective:=active,osgi.ser
 vice;filter:="(objectClass=com.liferay.saml.opensaml.integration.reso
 lver.UserResolver)";effective:=active,osgi.service;filter:="(objectCl
 ass=com.liferay.saml.persistence.service.SamlIdpSpConnectionLocalServ
 ice)";effective:=active,osgi.service;filter:="(objectClass=com.lifera
 y.saml.persistence.service.SamlIdpSpSessionLocalService)";effective:=
 active,osgi.service;filter:="(objectClass=com.liferay.saml.persistenc
 e.service.SamlIdpSsoSessionLocalService)";effective:=active,osgi.serv
 ice;filter:="(objectClass=com.liferay.saml.persistence.service.SamlSp
 AuthRequestLocalService)";effective:=active,osgi.service;filter:="(ob
 jectClass=com.liferay.saml.persistence.service.SamlSpIdpConnectionLoc
 alService)";effective:=active,osgi.service;filter:="(objectClass=com.
 liferay.saml.persistence.service.SamlSpMessageLocalService)";effectiv
 e:=active,osgi.service;filter:="(objectClass=com.liferay.saml.persist
 ence.service.SamlSpSessionLocalService)";effective:=active,osgi.servi
 ce;filter:="(objectClass=com.liferay.saml.runtime.configuration.SamlP
 roviderConfigurationHelper)";effective:=active,osgi.service;filter:="
 (objectClass=com.liferay.saml.runtime.credential.KeyStoreManager)";ef
 fective:=active,osgi.service;filter:="(objectClass=com.liferay.saml.r
 untime.metadata.LocalEntityManager)";effective:=active,osgi.service;f
 ilter:="(objectClass=com.liferay.saml.util.SamlHttpRequestUtil)";effe
 ctive:=active,osgi.service;filter:="(objectClass=net.shibboleth.utili
 ties.java.support.xml.ParserPool)";effective:=active,osgi.service;fil
 ter:="(objectClass=org.apache.http.client.HttpClient)";effective:=act
 ive,osgi.service;filter:="(objectClass=org.opensaml.saml.metadata.res
 olver.MetadataResolver)";effective:=active;cardinality:=multiple,osgi
 .service;filter:="(objectClass=org.opensaml.saml.saml2.encryption.Dec
 rypter)";effective:=active;resolution:=optional,osgi.service;filter:=
 "(objectClass=org.opensaml.security.credential.CredentialResolver)";e
 ffective:=active,osgi.contract;osgi.contract=JavaServlet;filter:="(&(
 osgi.contract=JavaServlet)(version=3.1.0))",osgi.ee;filter:="(&(osgi.
 ee=JavaSE)(version=1.8))"
Service-Component: OSGI-INF/com.liferay.saml.opensaml.integration.inte
 rnal.binding.HttpBindingsRegistrator.xml,OSGI-INF/com.liferay.saml.op
 ensaml.integration.internal.bootstrap.OpenSamlBootstrap.xml,OSGI-INF/
 com.liferay.saml.opensaml.integration.internal.bootstrap.SecurityConf
 igurationBootstrap.xml,OSGI-INF/com.liferay.saml.opensaml.integration
 .internal.certificate.CertificateToolImpl.xml,OSGI-INF/com.liferay.sa
 ml.opensaml.integration.internal.credential.DLKeyStoreManagerImpl.xml
 ,OSGI-INF/com.liferay.saml.opensaml.integration.internal.credential.F
 ileSystemKeyStoreManagerImpl.xml,OSGI-INF/com.liferay.saml.opensaml.i
 ntegration.internal.credential.KeyStoreCredentialResolver.xml,OSGI-IN
 F/com.liferay.saml.opensaml.integration.internal.decryption.Decrypter
 Registrator.xml,OSGI-INF/com.liferay.saml.opensaml.integration.intern
 al.identifier.SamlIdentifierGeneratorStrategyFactory.xml,OSGI-INF/com
 .liferay.saml.opensaml.integration.internal.metadata.MetadataManagerI
 mpl.xml,OSGI-INF/com.liferay.saml.opensaml.integration.internal.provi
 der.DBMetadataResolver.xml,OSGI-INF/com.liferay.saml.opensaml.integra
 tion.internal.resolver.AttributeResolverRegistry.xml,OSGI-INF/com.lif
 eray.saml.opensaml.integration.internal.resolver.DefaultAttributeReso
 lver.xml,OSGI-INF/com.liferay.saml.opensaml.integration.internal.reso
 lver.DefaultNameIdResolver.xml,OSGI-INF/com.liferay.saml.opensaml.int
 egration.internal.resolver.DefaultUserResolver.xml,OSGI-INF/com.lifer
 ay.saml.opensaml.integration.internal.resolver.NameIdResolverRegistry
 .xml,OSGI-INF/com.liferay.saml.opensaml.integration.internal.servlet.
 profile.SingleLogoutProfileImpl.xml,OSGI-INF/com.liferay.saml.opensam
 l.integration.internal.servlet.profile.WebSsoProfileImpl.xml,OSGI-INF
 /com.liferay.saml.opensaml.integration.internal.transport.HttpClientF
 actory.xml,OSGI-INF/com.liferay.saml.opensaml.integration.internal.ut
 il.MetadataUtilImpl.xml,OSGI-INF/com.liferay.saml.opensaml.integratio
 n.internal.util.NameIdTypeValiesImpl.xml,OSGI-INF/com.liferay.saml.op
 ensaml.integration.internal.velocity.VelocityEngineFactory.xml
Tool: Bnd-4.3.0.201909301554

